com.unitech.stuhfl

## Class STUHFL_T_VersionBoardInfo

- java.lang.Object
- - com.unitech.stuhflBridge.LibBridge
  - - com.unitech.stuhflBridge.BR_VersionInfo
    - - com.unitech.stuhfl.STUHFL_T_VersionBoardInfo

-     public class STUHFL_T_VersionBoardInfo
      extends BR_VersionInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `fw` < O Param: human readable board hardware information
    `java.lang.String` | `hw` < O Param: human readable board software information
    `java.lang.String` | `sw`

    - ### Fields inherited from class com.unitech.stuhflBridge.BR_VersionInfo

      `_fwBoardInfo, _hwBoardInfo, _swBoardInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_VersionBoardInfo()`
    `STUHFL_T_VersionBoardInfo(STUHFL_T_VersionBoardInfo other)` < O Param: human readable board hardware information

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `fetch()` Read the human readable board software and hardware information from board.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_VersionInfo

      `_GetBoardInfo`

    - ### Methods inherited from class com.unitech.stuhflBridge.LibBridge

      `isConnected, setConnected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sw

          public java.lang.String sw

    - #### hw

          public java.lang.String hw

      < O Param: human readable board software information

    - #### fw

          public java.lang.String fw

      < O Param: human readable board hardware information

  - ### Constructor Detail

    - #### STUHFL_T_VersionBoardInfo

          public STUHFL_T_VersionBoardInfo(STUHFL_T_VersionBoardInfo other)

      < O Param: human readable board hardware information

    - #### STUHFL_T_VersionBoardInfo

          public STUHFL_T_VersionBoardInfo()

  - ### Method Detail

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Read the human readable board software and hardware information from board.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`